Email Validator for Contact Form 7

描述

此电子邮件验证插件使 Contact Form 7 用户能够在发送表单之前验证电子邮件地址。它使用 MailboxValidator 电子邮件验证服务来检查电子邮件地址是一次性电子邮件地址还是免费电子邮件地址,以阻止无效电子邮件的注册。您可以在 mailboxvalidator.com 上注册一个免费的API 密钥,并获得300个免费每月电子邮件验证积分!

注:在使用此MailboxValidator电邮地址验证插件前需要先安装与激活Contact Form 7。

关键功能

  • 准确的电子邮件验证结果。
  • 支持无效电子邮件地址验证。
  • 支持一次性电子邮件地址验证。
  • 支持免费电子邮件地址验证。
  • 支持基于角色的电子邮件地址验证。
  • 使您能够阻止无法通过验证的用户发送讯息。

此插件需要 MailboxValidator API 密钥才能运作。您可以从这里获得API 密钥。

屏幕截图

  • Email Validator for Contact Form 7的设置页面。在这里您可以添加您的MailboxValidator API密钥,启动或关闭一次性或免费电子邮件地址验证器,和编辑客制化错误讯息。

安装

透过WordPress面版安装

  1. 选择 Plugins -> Add New
  2. 搜索“Email Validator for Contact Form 7”。
  3. 单击立即安装按钮以安装插件。
  4. 单击激活按钮以激活插件。
  5. 这里获得您的MailboxValidator API密钥。
  6. 设定插件的设置,包括您的API密钥,启动或关闭无效、一次性、免费和基于角色的电子邮件地址验证器,和客制化错误讯息。

手动安装

  1. 将插件文件上传到 /wp-content/plugins/email-validator-for-contact-form-7 目录。
  2. 通过WordPress中的“插件”页面激活插件
  3. 这里获得您的MailboxValidator API密钥。
  4. 设定插件的设置,包括您的API密钥,启动或关闭无效、一次性、免费和基于角色的电子邮件地址验证器,和客制化错误讯息。

注:此插件需要预先安装与激活Contact Form 7插件。如果您尚未安装与激活插件,请这样做。

常见问题

此插件如何帮助验证表单详细信息?

此插件将验证那些电子邮件地址,并确保它们并不属于无效、一次性、免费和基于角色的电子邮件地址。换句话说,此插件将根据您的设置拒绝那些免费或一次性的电子邮件地址。

我是否需要 API 密钥才能使用此插件?

是的。您可以从这里注册一个MailboxValidator API密钥。

没能找到您的答案?

您可以发送电子邮件至 support@mailboxvalidator.com。

评价

2020年10月28日
No problems with it. Works as it should. Pretty handy tho if you have to deal with users who don't submit valid emails at all 🙂
阅读所有2条评价

贡献者及开发者

“Email Validator for Contact Form 7” 是开源软件。 以下人员对此插件做出了贡献。

贡献者

“Email Validator for Contact Form 7”插件已被翻译至5种本地话语言。 感谢所有译者为本插件所做的贡献。

将“Email Validator for Contact Form 7”翻译成您的语言。

对开发感兴趣吗?

您可以浏览代码,查看SVN仓库,或通过RSS订阅开发日志

更新日志

1.6.0

  • Code restructure and UI update.
  • Added chart for email address blocked statistics.

1.5.6

  • Added length limitation to error message.

1.5.5

  • 更新了 readme 文件里的描述。

1.5.4

  • 已测试了 WordPress 5.8。

1.5.3

  • 次要改进。

1.5.2

  • 更新了经过测试的 WordPress 版本。

1.5.1

  • 修复小问题。

1.5.0

  • 集成 MailboxValiator PHP SDK。

1.4.1

  • 已测试此插件与WordPress 5.6 。

1.4.0

  • 修复了“Plugin is not compatible with language packs: Missing load_plugin_textdomain().”问题。

1.3.3

  • 添加了一些空行以提高可读性。

1.3.2

  • 添加了华语语言文件。

1.3.1

  • 移除所需的最低 WordPress 版本。

1.3.0

  • 添加屏蔽基于角色的电子邮件地址功能。

1.2.2

  • 已测试此插件与WordPress 5.5。

1.2.1

  • 更新了FAQ章节。

1.2.0

  • 添加了无效电子邮件地址验证功能。

1.1.8

  • 修复小问题。

1.1.7

  • 显示方案资讯。

1.1.6

  • 修复小问题。

1.1.5

  • 当Contact Form 7插件尚未安装和激活时将显示一个提醒信息。

1.1.4

  • 修复插件问题。

1.1.3

  • 添加了source参数以追踪API调用。

1.1.2

  • 更新代码以遵循 WordPress 编码标准。
  • 添加缺失的assets文件夹。

1.1.1

  • 添加了停用插件时的反馈功能。

1.1

  • 修复了所有电子邮件地址无法通过验证的问题。

1.0

  • 初始版本。